---
title: POST /structured-content/content-types/{content_type_id}/managed-migrations/validate
slug: content-marketing-platform/api/post-structured-contentcontent-typescontenttypeidmanaged-migrationsvalidate
docTags: 
createdAt: 2026-10-01T18:51:26.265Z
---

{
  "id": "Nb7gk9m-WYd9DqShYpHu7",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.cmp.optimizely.com/v3/structured-content/content-types/{content_type_id}/managed-migrations/validate",
    "servers": [
      {
        "url": "https://api.cmp.optimizely.com/v3/structured-content/content-types/{content_type_id}/managed-migrations/validate",
        "description": "v3 version of Optimizely CMP Open API"
      }
    ],
    "name": "POST /structured-content/content-types/{content_type_id}/managed-migrations/validate",
    "description": "<p>Experimental Check managed migration possible or not.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "content_type_id",
          "type": "string",
          "example": "645cb61c966d0c591320f636",
          "description": "Unique identifier of the content type."
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "",
          "customType": "SCContentTypeManagedMigrationValidateRequest",
          "schema": [
            {
              "name": "source_content_type_version_id",
              "kind": "required",
              "type": "string",
              "description": "The ID of the source content type version to migrate from."
            },
            {
              "name": "default_values",
              "kind": "optional",
              "type": "object",
              "description": "<p>Default values for the migration, if any.</p>",
              "modelRef": "#/components/schemas/LocalizedFieldValues",
              "customType": "LocalizedFieldValues",
              "schema": [
                {
                  "name": "locale",
                  "kind": "required",
                  "type": "string",
                  "description": ""
                },
                {
                  "name": "field_values",
                  "kind": "required",
                  "type": "array",
                  "description": "",
                  "modelRef": "#/components/schemas/LocationFieldValueModel",
                  "customType": "LocationFieldValueModel[]",
                  "schema": [
                    {
                      "name": "longitude",
                      "kind": "required",
                      "type": "number",
                      "description": "Longitude of the field value"
                    },
                    {
                      "name": "latitude",
                      "kind": "required",
                      "type": "number",
                      "description": "Longitude of the field value"
                    },
                    {
                      "name": "order_index",
                      "kind": "optional",
                      "type": "integer",
                      "description": "Order index of the field value"
                    }
                  ]
                }
              ]
            }
          ],
          "modelRef": "#/components/schemas/SCContentTypeManagedMigrationValidateRequest",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "OAuth2",
          "name": "OAuth2",
          "kind": "optional",
          "type": "oauth2",
          "oauth2Flows": {
            "clientCredentials": {
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {}
            },
            "authorizationCode": {
              "authorizationUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/auth",
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {
                "openid": "Grants the ability to receive a unique identifier for the user.",
                "profile": "Grants access to user profile information.",
                "offline_access": "Grants the ability to refresh access_token using the refresh token even when user is not present (not logged in)."
              }
            }
          },
          "requiredScopes": [
            "openid",
            "profile",
            "offline_access"
          ]
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Successful response.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "is_managed_migration_possible",
                "kind": "required",
                "type": "boolean",
                "description": "False if the managed migration not possible"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "<p>Error response when no content type found by content_type_id and instance_id</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"detail\":\"Could not find the content type\"}",
            "description": "",
            "schema": [
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": "error message details"
              }
            ],
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "BysKDqInHHF84PdEW6p3R",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.cmp.optimizely.com/v3/structured-content/content-types/{content_type_id}/managed-migrations/validate \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"source_content_type_version_id\": \"\",\n     \"default_values\": {\n     \"locale\": \"\",\n     \"field_values\": [\n     {\n     \"longitude\": \"\",\n     \"latitude\": \"\"\n     }\n     ]\n     }\n     }'"
        },
        {
          "id": "rf3ODmISFQUsnyBWl5Nwx",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"source_content_type_version_id\": \"\",\n   \"default_values\": {\n      \"locale\": \"\",\n      \"field_values\": [\n         {\n            \"longitude\": \"\",\n            \"latitude\": \"\"\n         }\n      ]\n   }\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.cmp.optimizely.com/v3/structured-content/content-types/{content_type_id}/managed-migrations/validate\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "3r-AD5IJq0iTYtqBFo0sc",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.cmp.optimizely.com/v3/structured-content/content-types/{content_type_id}/managed-migrations/validate\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"source_content_type_version_id\": \"\",\n   \"default_values\": {\n      \"locale\": \"\",\n      \"field_values\": [\n         {\n            \"longitude\": \"\",\n            \"latitude\": \"\"\n         }\n      ]\n   }\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "i6cikkmLbvFm8DtfIO3b6",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.cmp.optimizely.com/v3/structured-content/content-types/{content_type_id}/managed-migrations/validate\"\n\npayload = json.dumps({\n   \"source_content_type_version_id\": \"\",\n   \"default_values\": {\n      \"locale\": \"\",\n      \"field_values\": [\n         {\n            \"longitude\": \"\",\n            \"latitude\": \"\"\n         }\n      ]\n   }\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "BysKDqInHHF84PdEW6p3R"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Successful response.\n{\n  \"is_managed_migration_possible\": false\n}"
        },
        {
          "id": "response-1-404",
          "language": "404",
          "code": "// Error response when no content type found by content_type_id and instance_id\n{\n  \"detail\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}